package Application1;

import java.awt.BorderLayout;
import java.awt.CardLayout;
import java.awt.Color;
import java.awt.Dimension;
import java.awt.FlowLayout;
import java.awt.Font;
import java.awt.Graphics;
import java.awt.Image;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.io.File;
import java.io.IOException;

import javax.imageio.ImageIO;
import javax.swing.BorderFactory;
import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.border.Border;
import javax.swing.border.EmptyBorder;
import javax.swing.border.EtchedBorder;

import Application1.Pages.Page1;
import Application1.Pages.Page10;
import Application1.Pages.Page11;
import Application1.Pages.Page2;
import Application1.Pages.Page3;
import Application1.Pages.Page4;
import Application1.Pages.Page5;
import Application1.Pages.Page6;
import Application1.Pages.Page7;
import Application1.Pages.Page8;
import Application1.Pages.Page9;

public class Interface extends JFrame  {
	//Initialisation des objets
		 private JPanel conteneur;
		 private JPanel conteneurBouton; 
		 private JButton boutonRev;
		 private JButton boutonSuiv;
		 private JButton boutonFinInstall;
		 private Title conteneurTitre;
		 private CardLayout cardLayout;
		 private String[] listContent = {"CARD_1","CARD_2","CARD_3","CARD_4","CARD_5","CARD_6","CARD_7","CARD_8","CARD_9","CARD_10","CARD_11","CARD_12"};
	
		 
		 
		 
		 //Fonction necessaire pour le lancement
		 public void Start() {
			 
			 
			 //Cration des objets
			 conteneur = new JPanel();
			 conteneurTitre = new Title();
			 conteneurBouton = new JPanel();
			 
			 
			 Font f = new Font("Century", Font.BOLD, 15);
			 
			 boutonRev = new JButton("Prcdent");
			 boutonRev.setFont(f);
			 boutonRev.setForeground(Color.BLACK);
			 boutonRev.setBackground(Color.LIGHT_GRAY);
			 
			 boutonSuiv = new JButton("Suivant");
			 boutonSuiv.setFont(f);
			 boutonSuiv.setForeground(Color.BLACK);
			 boutonSuiv.setBackground(Color.LIGHT_GRAY);
			 
			 boutonFinInstall = new JButton("Lancer VR");
			 boutonFinInstall.setFont(f);
			 boutonFinInstall.setForeground(Color.BLACK);
			 boutonFinInstall.setBackground(Color.LIGHT_GRAY);
			 //SetUp de la fenetre
			 this.setSize(1200,900);
			 this.setLocationRelativeTo(null); //On le garde centre
			 this.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE); //Pour rellement fermer la fenetre
			 this.dispose();
			 this.setUndecorated(false);
			 conteneur.setPreferredSize(new Dimension(1100,640));
			 conteneurBouton.setPreferredSize(new Dimension(1200,50));
			 conteneurTitre.setBorder(new EmptyBorder(10,10,10,10));
			 
			 
		 }
		 
		 //Fonction Permettant de parametrer l'interface
		 public void SetupInterface () {
			 cardLayout = new CardLayout();
				Border border = BorderFactory.createEtchedBorder(EtchedBorder.RAISED);
				Border blackline = BorderFactory.createLineBorder(Color.black);
				Border compound;
				compound = BorderFactory.createCompoundBorder(border, blackline);

				 //Cration des pages
				 ImagePanel card1 = new ImagePanel("Images/Logos/Logo_INSA.png");
				 Page1 card2 = new Page1(15,compound);
				 Page2 card3 = new Page2(15,compound);
				 Page3 card4 = new Page3(15,compound);
				 Page4 card5 = new Page4 (15,compound);
				 Page5 card6 = new Page5(15,compound);
				 Page6 card7 = new Page6(15,compound);
				 Page7 card8 = new Page7(15,compound);
				 Page8 card9 = new Page8(15,compound);
				 Page9 card10 = new Page9(15,compound);
				 Page10 card11 = new Page10(15,compound);
				 Page11 card12 = new Page11(15,compound);
				 
				 //Mise en place des espaces
				 cardLayout.setHgap(10);
				 cardLayout.setVgap(10);
				 
				 //SetUp des conteneurs	
				 conteneurBouton.setBackground(Color.WHITE);
				 conteneurBouton.add(boutonRev);
				 conteneurBouton.add(boutonSuiv);
				 conteneurBouton.add(boutonFinInstall);
				 conteneur.setBackground(Color.white);
				 conteneur.setLayout(cardLayout);
				 conteneur.add(card1,listContent[0]);
				 conteneur.add(card2,listContent[1]);
				 conteneur.add(card3,listContent[2]);
				 conteneur.add(card4,listContent[3]);
				 conteneur.add(card5,listContent[4]);
				 conteneur.add(card6,listContent[5]);
				 conteneur.add(card12,listContent[6]);
				 conteneur.add(card7,listContent[7]);
				 conteneur.add(card8,listContent[8]);
				 conteneur.add(card9,listContent[9]);
				 conteneur.add(card10,listContent[10]);
				 conteneur.add(card11,listContent[11]);
				
			 
		 }
		 public void SetupListeners() {

				// Gestion de l'action des Boutons
			 //Bouton Suivant
			    boutonSuiv.addActionListener(new ActionListener() {
			    	public void actionPerformed(ActionEvent event) {
			    		cardLayout.next(conteneur);
			    		
			    	}
			    });
			    //Bouton Prcedent
			    boutonRev.addActionListener(new ActionListener() {
			    	public void actionPerformed(ActionEvent event) {
			    		cardLayout.previous(conteneur);
			    		
			    	}
			    });
			    
			    //Bouton LancerVR
			    boutonFinInstall.addActionListener(new ActionListener() {
			    	public void actionPerformed(ActionEvent event) {
			    		cardLayout.show(conteneur,"CARD_9"); 
			    		
			    	}
			    });
			 
		 }
		 public void paintComponent(Graphics g) {
				try {
					Image img1 = ImageIO.read(new File("Images/Logos/Logo_INSA.png"));
					Image img2 = ImageIO.read(new File("Images/Logos/Logo_ISDAT.png"));
					Image img3 = ImageIO.read(new File("Nom_cours.png"));
					g.drawImage(img1, 20, 10,260,130,0,0,354,142, conteneurTitre);
					g.drawImage(img2, 200, 10,370,100,0,0,711,352, conteneurTitre);
					g.drawImage(img3, conteneurTitre.getWidth() - 250, 10, conteneurTitre.getWidth() - 12, 100, 0, 0, 260, 63, conteneurTitre);
					
					
					
					
					
				} catch (IOException e) {
					// TODO Auto-generated catch block
					e.printStackTrace();
				}
			}
		 
		 
				
				
			
		 public void Display() {
			 //Affichage 
				this.getContentPane().add(conteneurBouton, BorderLayout.SOUTH);
				this.getContentPane().add(conteneur, BorderLayout.CENTER);
				this.getContentPane().add(conteneurTitre,BorderLayout.NORTH);
				this.setVisible(true);
				
			 
		 }
		 
		 
		 
		 
		
		

	}



